Bug 204283 - Add initial support for WebRTC HEVC
Summary: Add initial support for WebRTC HEVC
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-11-16 23:22 PST by youenn fablet
Modified: 2020-04-07 21:00 PDT (History)
15 users (show)

See Also:


Attachments
Patch (263.26 KB, patch)
2019-11-16 23:25 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (530.46 KB, patch)
2019-11-17 02:53 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Rebased on top of M82 (250.77 KB, patch)
2020-03-30 04:33 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (250.05 KB, patch)
2020-04-01 08:09 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (240.48 KB, patch)
2020-04-01 09:26 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (250.01 KB, patch)
2020-04-01 09:57 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (250.50 KB, patch)
2020-04-02 00:21 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (250.36 KB, patch)
2020-04-02 03:12 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (250.39 KB, patch)
2020-04-02 05:05 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (246.74 KB, patch)
2020-04-03 02:53 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-11-16 23:22:55 PST
Add initial support for WebRTC HEVC
Comment 1 youenn fablet 2019-11-16 23:23:09 PST
See https://github.com/open-webrtc-toolkit
Comment 2 youenn fablet 2019-11-16 23:25:37 PST
Created attachment 383716 [details]
Patch
Comment 3 youenn fablet 2019-11-17 02:53:18 PST
Created attachment 383719 [details]
Patch
Comment 4 youenn fablet 2020-03-30 04:33:13 PDT
Created attachment 394903 [details]
Rebased on top of M82
Comment 5 youenn fablet 2020-04-01 08:09:55 PDT
Created attachment 395167 [details]
Patch
Comment 6 youenn fablet 2020-04-01 09:26:01 PDT
Created attachment 395176 [details]
Patch
Comment 7 youenn fablet 2020-04-01 09:57:44 PDT
Created attachment 395180 [details]
Patch
Comment 8 youenn fablet 2020-04-02 00:21:48 PDT
Created attachment 395246 [details]
Patch
Comment 9 youenn fablet 2020-04-02 03:12:35 PDT
Created attachment 395257 [details]
Patch
Comment 10 youenn fablet 2020-04-02 05:05:55 PDT
Created attachment 395261 [details]
Patch
Comment 11 Eric Carlson 2020-04-02 10:12:57 PDT
Comment on attachment 395261 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=395261&action=review

> LayoutTests/webrtc/h265.html:58
> +                setTimeout(() => reject("Test timed out"), 2000);

Will 2 seconds long be long enough on a heavily loaded machine?

> LayoutTests/webrtc/h265.html:74
> +            setTimeout(() => reject("Test timed out"), 2000);

Ditto.
Comment 12 youenn fablet 2020-04-03 02:53:24 PDT
Created attachment 395361 [details]
Patch for landing
Comment 13 EWS 2020-04-03 03:46:08 PDT
Committed r259452: <https://trac.webkit.org/changeset/259452>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 395361 [details].
Comment 14 Radar WebKit Bug Importer 2020-04-03 03:47:15 PDT
<rdar://problem/61253198>
Comment 15 Truitt Savell 2020-04-07 12:02:47 PDT
The new test webrtc/h265.html

added in https://trac.webkit.org/changeset/259452/webkit

Is a constant timeout on iOS

history:
https://results.webkit.org/?suite=layout-tests&test=webrtc%2Fh265.html

Can this get resolved soon?
Comment 16 Ryan Haddad 2020-04-07 21:00:22 PDT
(In reply to Truitt Savell from comment #15)
> The new test webrtc/h265.html
> 
> added in https://trac.webkit.org/changeset/259452/webkit
> 
> Is a constant timeout on iOS
Filed https://bugs.webkit.org/show_bug.cgi?id=210173 to track.